mac os 使用 brew 安装指定版本的 python 解释器

使用如下命令安装:

brew install python@3.8

安装好之后会有如下的输出:

Python has been installed as
  /opt/homebrew/opt/python@3.8/bin/python3

Unversioned symlinks `python`, `python-config`, `pip` etc. pointing to
`python3`, `python3-config`, `pip3` etc., respectively, have been installed into
  /opt/homebrew/opt/python@3.8/libexec/bin

You can install Python packages with
  /opt/homebrew/opt/python@3.8/bin/pip3 install 
They will install into the site-package directory
  /opt/homebrew/lib/python3.8/site-packages

See: https://docs.brew.sh/Homebrew-and-Python

python@3.8 is keg-only, which means it was not symlinked into /opt/homebrew,
because this is an alternate version of another formula.

If you need to have python@3.8 first in your PATH, run:
  echo 'export PATH="/opt/homebrew/opt/python@3.8/bin:$PATH"' >> ~/.zshrc

For compilers to find python@3.8 you may need to set:
  export LDFLAGS="-L/opt/homebrew/opt/python@3.8/lib"

关于 LDFLAGS 请参考 :https://www.cnblogs.com/taski...

你可能感兴趣的